<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>aagro</artifactId>
        <groupId>cn.aagro.gg</groupId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>aagro-module-mall</artifactId>
    <packaging>pom</packaging>

    <name>${project.artifactId}</name>

    <description>
        商城大模块，由 product 商品、promotion 营销、trade 交易、statistics 统计等组成
    </description>
    <modules>
        <module>aagro-module-product</module>
        <module>aagro-module-promotion</module>
        <module>aagro-module-trade</module>
        <module>aagro-module-statistics</module>
        <!--
            特殊：为什么会有 aagro-module-trade-api 呢？
                aagro-module-promotion 和 aagro-module-trade 之间相互循环依赖，所以抽出 aagro-module-trade-api 模块，这样：
                1. aagro-module-promotion 依赖 aagro-module-trade-api
                2. aagro-module-trade 依赖 aagro-module-promotion
            从而不存在相互（循环）依赖，即 aagro-module-trade => aagro-module-promotion => aagro-module-trade-api
         -->
        <module>aagro-module-trade-api</module>
    </modules>

</project>
